include:
  - project: osl/code/org.etsi.osl.main
    ref: 12-update-gitlab-ci-file-to-use-inherited-jobs-from-main
    file: 
      - ci-templates/default.yml
      - ci-templates/build.yml
    only:
      - main
      - develop

  - project: osl/code/org.etsi.osl.main
    ref: 12-update-gitlab-ci-file-to-use-inherited-jobs-from-main
    file: 
      - ci-templates/default.yml
      - ci-templates/build_unprotected.yml
    except:
      - main
      - develop

maven_build:
  extends: .maven_build

docker_build:
  extends: .docker_build
  needs:
    - maven_build
